
*{
    box-sizing: border-box;
}
body {
    display: flex;
    align-items: center;
    justify-content: center;
}

.box-animation{
    width: 1250px;
    height: 680px;
    border: 1px;
    border-style: solid;
}

.block-animation{
    width: 1250px;
    height:680px;
    margin: 0 auto;
    background-color:transparent;


    animation-name: square;
    animation-duration: 5s;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-direction: reverse;
    animation-iteration-count: infinite;
    animation-fill-mode: none;
    animation-play-state: running;

    position: absolute;
    transform-style: preserve-3d;


}
@keyframes square {
    0% {transform:rotateY(0deg)}

    100%{transform:rotateY(360deg)}
}


.child_front{
    width: 200px;
    height: 200px;
    background:green;

    animation-name:square_front;
    animation-duration: 5s;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-direction: reverse;
    animation-iteration-count: infinite;
    animation-fill-mode: none;
    animation-play-state: running;

    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translateZ(50px);

}


@keyframes square_front{
    0% {transform:rotateZ(0deg)}

    100%{transform:rotateZ(360deg)
}

.child_back{
    width: 200px;
    height: 200px;
    background: #5923b1;

    animation-name:square_back;
    animation-duration: 5s;
    animation-timing-function:linear;
    animation-delay: 0s;
    animation-direction: alternate-reverse;
    animation-iteration-count: infinite;
    animation-fill-mode: none;
    animation-play-state: running;

    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translateZ(50px);

}


@keyframes square_back{
    0% {transform:rotateZ(0deg)}

    100%{transform:rotateZ(360deg)
    }




